$Time={}
$Time.get=function (dat)
{
    var date=new Date();
    dat=dat?dat:{};
    if(isNaN(dat))
    {
        if(dat.sec)
        {
            date.setSeconds(dat.sec);
        }
        if(dat.ms)
        {
            date.setMilliseconds(dat.ms)
        }
        if(dat.min)
        {
            date.setMilliseconds(dat.min);
        }
        if(dat.hour)
        {
            date.setHours(dat.hour);
        }
        if(dat.md)
        {
            date.setDate(dat.md)
        }
        if(dat.month)
        {
            date.setMonth(dat.month)
        }
        if(dat.year)
        {
            date.setFullYear(dat.year)
        }
    }
    else
    {
        date.setTime(dat*1000)
    }

    var obj={};
    obj.sec=date.getSeconds();
    obj.min=date.getMinutes();
    obj.hour=date.getHours();
    obj.wd=date.getDay();
    obj.md=date.getDate();
    obj.month=date.getMonth()+1;
    obj.year=date.getFullYear();
    obj.ms=date.getMilliseconds();

    obj.sec=(obj.sec>9)?obj.sec:'0'+obj.sec;
    obj.min=(obj.min>9)?obj.min:'0'+obj.min;
    obj.hour=(obj.hour>9)?obj.hour:'0'+obj.hour;
    obj.md=(obj.md>9)?obj.md:'0'+obj.md;
    obj.month=(obj.month>9)?obj.month:'0'+obj.month;
    return obj;
}

$Time.format=function(str,date)
{
    //'y-m-d h:i:s w'
    //w代表周
    var local=$Time.get(date)
    str=str.replace('y',local.year)
    .replace('m',local.month)
    .replace('d',local.md)
    .replace('h',local.hour)
    .replace('i',local.min)
    .replace('s',local.sec)
    .replace('ms',local.ms)
    .replace('w',local.wd)
    return str;
}

$Time.parse=function(str,tag)
{
    //'2013-12-05 11:05:05'
    if(!str)return{};
    var result=str.split(' ');
    var big,small;
    var obj={};
    if(result)
    {
        big=result[0];
        if(result.length>1)
        {
            var bigResult=big.split('-')
            if(bigResult.length>2)
            {
                obj.year=bigResult[0];
                obj.month=bigResult[1];
                obj.md=bigResult[2];

                small=result[1];
                var smallResult=small.split(':')
                if(smallResult.length>2)
                {
                    obj.hour=smallResult[0];
                    obj.min=smallResult[1];
                    obj.sec=smallResult[2];
                }
            }
        }
        else
        {
            var bigResult=big.split('/')
            if(bigResult.length==3)
            {
                obj.year=bigResult[0];
                obj.month=bigResult[1];
                obj.md=bigResult[2];
            }
        }
        if(tag)
        {
            var date=$Time.get()
            var tagStr='';
            for (let key in obj) 
            {
                if(obj[key]==date[key])
                {
                    continue
                }
                else
                {
                    tagStr=date[key]-obj[key];
                    switch (key) 
                    {
                        case 'year':
                            tagStr+='年前';
                        break;
                        case 'month':
                            tagStr+='月前';
                        break;
                        case 'md':
                            tagStr+='天前';
                        break;
                        case 'hour':
                            tagStr+='小时前';
                        break;
                        case 'min':
                            tagStr+='分钟前';
                        break;
                        case 'sec':
                            tagStr+='秒前';
                        break;
                    }
                    break;
                }
            }
            if(!tagStr)tagStr='刚刚';
            obj.tag=tagStr;
        }
    }
    return obj
}